// editor.js

$(function(){
    var updateRoom = function(room) {
        if (room) {
            $("#description").html(room.description);
            $("#roomTitle").html(room.title);
            if (room.activity) {
                $("#activity").html(room.activity);
            } else {
                $("#activity").html("");
            }
            $("#exits").html(room.roomExits.toString());
        }
    }

    var loadRoom = function() {
        $.getJSON("/getContents", { theRoom: $("#roomName").val() },
                  updateRoom);
    }

    $("#loadRoom").on("click", loadRoom);
    $("#roomSelector").change(function() {
        $("#roomName").html($("#roomSelector").val());
        loadRoom();
    });
});
